import { IOType } from '@jvalue/jayvee-language-server';
import { FileSystemFile } from './filesystem-node-file';
import { type IOTypeImplementation, type IoTypeVisitor } from './io-type-implementation';
export declare class TextFile extends FileSystemFile<string[]> implements IOTypeImplementation<IOType.TEXT_FILE> {
    readonly ioType = IOType.TEXT_FILE;
    acceptVisitor<R>(visitor: IoTypeVisitor<R>): R;
}
