import { type AtomicValueType, ValueTypeVisitor } from '@jvalue/jayvee-language-server';
export declare class SQLColumnTypeVisitor extends ValueTypeVisitor<string> {
    visitBoolean(): string;
    visitDecimal(): string;
    visitInteger(): string;
    visitText(): string;
    visitAtomicValueType(valueType: AtomicValueType): string;
    visitRegex(): string;
    visitCellRange(): string;
    visitConstraint(): string;
    visitValuetypeAssignment(): string;
    visitCollection(): string;
    visitTransform(): string;
}
