import { type ValueType, type ValueTypeProvider } from '../../wrappers/value-type';
import { DefaultUnaryOperatorTypeComputer } from '../operator-type-computer';
export declare class AsDecimalOperatorTypeComputer extends DefaultUnaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doComputeType(): ValueType;
}
export declare class AsTextOperatorTypeComputer extends DefaultUnaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doComputeType(): ValueType;
}
export declare class AsIntegerOperatorTypeComputer extends DefaultUnaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doComputeType(): ValueType;
}
export declare class AsBooleanOperatorTypeComputer extends DefaultUnaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doComputeType(): ValueType;
}
