import { type InternalValueRepresentation } from '../../../../expressions/internal-value-representation';
import { type ValueType, type ValueTypeVisitor } from '../../value-type';
import { AbstractCollectionValueType } from './abstract-collection-value-type';
export declare class EmptyCollectionValueType extends AbstractCollectionValueType<undefined> {
    isConvertibleTo(target: ValueType): boolean;
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    getName(): string;
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is [];
}
