import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare function parseDecimal(s: string): number | undefined;
export declare class DecimalValuetype extends PrimitiveValueType<number> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'decimal';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is number;
    isReferenceableByUser(): boolean;
    getUserDoc(): string;
    fromString(s: string): number | undefined;
}
