import { type DebugGranularity, type DebugTargets, type Logger } from '@jvalue/jayvee-execution';
export interface RunOptions {
    pipeline: string;
    env: Map<string, string>;
    debug: boolean;
    debugGranularity: DebugGranularity;
    debugTarget: DebugTargets;
    parseOnly: boolean;
}
export declare function parseRunOptions(optionsRaw: unknown, logger: Logger): RunOptions | undefined;
export declare function parsePipelineMatcherRegExp(matcher: string, logger: Logger): RegExp | undefined;
