import { type AstNodeWrapper, type ExpressionConstraintDefinition, type InternalValueRepresentation } from '@jvalue/jayvee-language-server';
import { type ExecutionContext } from '../../execution-context';
import { type ConstraintExecutor } from '../constraint-executor';
export declare class ExpressionConstraintExecutor implements ConstraintExecutor, AstNodeWrapper<ExpressionConstraintDefinition> {
    readonly astNode: ExpressionConstraintDefinition;
    constructor(astNode: ExpressionConstraintDefinition);
    isValid(value: InternalValueRepresentation, context: ExecutionContext): boolean;
}
