import { type BlockDefinition } from '@jvalue/jayvee-language-server';
import { type ExecutionContext } from '../execution-context';
export declare const DefaultGranularityValue = "minimal";
export declare const DebugGranularityValues: readonly ["peek", "exhaustive", "minimal"];
export type DebugGranularity = (typeof DebugGranularityValues)[number];
export declare function isDebugGranularity(obj: unknown): obj is DebugGranularity;
export declare const DefaultDebugTargetsValue = "all";
export type DebugTargets = string[] | typeof DefaultDebugTargetsValue;
export declare function isBlockTargetedForDebugLogging(block: BlockDefinition, context: ExecutionContext): boolean;
