import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, BinaryFile, type ExecutionContext, type FileSystem } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class ArchiveInterpreterExecutor extends AbstractBlockExecutor<IOType.FILE, IOType.FILE_SYSTEM> {
    static readonly type = "ArchiveInterpreter";
    constructor();
    doExecute(archiveFile: BinaryFile, context: ExecutionContext): Promise<R.Result<FileSystem>>;
    private loadGzFileToInMemoryFileSystem;
    private loadZipFileToInMemoryFileSystem;
    private createFileFromArchive;
    private generateErrorObject;
}
