import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type ExecutionContext, type Sheet } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class ColumnDeleterExecutor extends AbstractBlockExecutor<IOType.SHEET, IOType.SHEET> {
    static readonly type = "ColumnDeleter";
    constructor();
    doExecute(inputSheet: Sheet, context: ExecutionContext): Promise<R.Result<Sheet>>;
    private sortByColumnIndex;
    private removeDuplicateColumns;
}
