import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type ExecutionContext, type Sheet } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class RowDeleterExecutor extends AbstractBlockExecutor<IOType.SHEET, IOType.SHEET> {
    static readonly type = "RowDeleter";
    constructor();
    doExecute(inputSheet: Sheet, context: ExecutionContext): Promise<R.Result<Sheet>>;
    private sortByRowIndex;
    private removeDuplicateRows;
}
