import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type BinaryFile, type ExecutionContext, Workbook } from '@jvalue/jayvee-execution';
import { IOType } from '@jvalue/jayvee-language-server';
export declare class XLSXInterpreterExecutor extends AbstractBlockExecutor<IOType.FILE, IOType.WORKBOOK> {
    static readonly type = "XLSXInterpreter";
    constructor();
    doExecute(file: BinaryFile, context: ExecutionContext): Promise<R.Result<Workbook>>;
}
