import { type ValueType, type ValueTypeProvider } from '../../wrappers/value-type';
import { DefaultBinaryOperatorTypeComputer } from '../operator-type-computer';
export declare class BasicArithmeticOperatorTypeComputer extends DefaultBinaryOperatorTypeComputer {
    protected readonly valueTypeProvider: ValueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doComputeType(leftOperandType: ValueType, rightOperandType: ValueType): ValueType;
}
