import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { type TransformDefinition } from '../../../generated/ast';
import { type ValueTypeVisitor } from '../value-type';
import { PrimitiveValueType } from './primitive-value-type';
export declare class TransformValuetype extends PrimitiveValueType<TransformDefinition> {
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    isAllowedAsRuntimeParameter(): boolean;
    getName(): 'Transform';
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is TransformDefinition;
}
