import { type ValidationAcceptor } from 'langium';
import { type OperatorTypeComputerRegistry } from '../ast/expressions/operator-registry';
export declare class ValidationContext {
    private readonly validationAcceptor;
    readonly typeComputerRegistry: OperatorTypeComputerRegistry;
    private errorOccurred;
    constructor(validationAcceptor: ValidationAcceptor, typeComputerRegistry: OperatorTypeComputerRegistry);
    accept: ValidationAcceptor;
    hasErrorOccurred(): boolean;
}
